Bug 1470177 - Rebase IPA to latest 4.5.x version
Rebase IPA to latest 4.5.x version
Status: VERIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: IPA Maintainers
ipa-qe
: Rebase
Depends On: 1470606
Blocks: 1472344
  Show dependency treegraph
 
Reported: 2017-07-12 09:39 EDT by Martin Kosek
Modified: 2018-01-23 03:25 EST (History)
7 users (show)

See Also:
Fixed In Version: ipa-4.5.4-1.el7
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kosek 2017-07-12 09:39:43 EDT
Rebase to the latest stable IPA release (4.6+), to pick up the enhancements and stabilization expected for the next IdM in RHEL release.
Comment 3 Nikhil Dehadrai 2018-01-23 03:25:00 EST
IPA-Server-version: ipa-server-4.5.4-8.el7.x86_64

Tested the bug on the basis of following observations:
# rpm -qa ipa-server ipa-server-dns gssproxy pki-server
pki-server-10.5.1-5.el7.noarch
ipa-server-4.5.4-8.el7.x86_64
gssproxy-0.7.0-17.el7.x86_64
ipa-server-dns-4.5.4-8.el7.noarch

Quickinstall and other sanity checks verifies current version of IPA server.

root@hp-microservergen8-01 testuser]# tail -1 /var/log/ipaserver-install.log
2018-01-23T04:44:56Z INFO The ipa-server-install command was successful

[root@hp-microservergen8-01 testuser]# ipactl status
Directory Service: RUNNING
krb5kdc Service: RUNNING
kadmin Service: RUNNING
named Service: RUNNING
httpd Service: RUNNING
ipa-custodia Service: RUNNING
ntpd Service: RUNNING
pki-tomcatd Service: RUNNING
ipa-otpd Service: RUNNING
ipa-dnskeysyncd Service: RUNNING
ipa: INFO: The ipactl command was successful

[root@hp-microservergen8-01 testuser]# rpm -qa ipa-server ipa-server-dns gssproxy pki-server
pki-server-10.5.1-5.el7.noarch
ipa-server-4.5.4-8.el7.x86_64
gssproxy-0.7.0-17.el7.x86_64
ipa-server-dns-4.5.4-8.el7.noarch

AVC messages observed in Quickinstall is captured in a separate bug Bz1525488

Thus on the basis of above observations, marking the status of bug to 'Verified'.

Note You need to log in before you can comment on or make changes to this bug.